[kaffe-siteadmin] CVS kaffe-project-services (jim): Add notes and scripts I use for making releases

Kaffe CVS cvs-commits at kaffe.org
Wed Feb 25 11:32:02 PST 2004


PatchSet 6 
Date: 2004/02/25 19:31:10
Author: jim
Branch: HEAD
Tag: (none) 
Log:
Add notes and scripts I use for making releases

Members: 
	release-process/HOW-TO-MAKE-A-RELEASE:INITIAL->1.1 
	release-process/clean.sh:INITIAL->1.1 
	release-process/compare.sh:INITIAL->1.1 
	release-process/gen-make-dist.sh:INITIAL->1.1 
	release-process/regen-make-dist-tarball.sh:INITIAL->1.1 
	release-process/run-autogen.sh:INITIAL->1.1 
	release-process/set-path.sh:INITIAL->1.1 
	release-process/sign.sh:INITIAL->1.1 
	release-process/unpack.sh:INITIAL->1.1 

===================================================================
Checking out kaffe-project-services/release-process/HOW-TO-MAKE-A-RELEASE
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/HOW-TO-MAKE-A-RELEASE,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/HOW-TO-MAKE-A-RELEASE	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,208 @@
+
+1)
+
+Get mainline CVS tree installed into build/make-dist/kaffe
+
+2)
+
+Branch.  eg.
+
+cd kaffe
+cvs -q up -AdP
+cvs tag -b -c -R Release_1_1_1_Branch
+cvs -q up -AdP -r Release_1_1_1_Branch
+cvs status -v Makefile.am
+
+Retagging / Merging:
+
+eg. 
+cvs tag -F -b -c -R Release_1_1_4_Branch <files>
+cvs commit
+cvs up -j HEAD <files>
+
+
+3)
+
+* Update README - bump version number in title, eg:
+
+                         ===================
+
+                             Kaffe 1.1.1
+
+                         ===================
+
+* Write RELEASE-NOTES, eg:
+
+---
+Release Notes for 1.1.1
+=======================
+
+Release 1.1.1 of Kaffe is a "development" release.
+
+It has been tested, but not as thoroughly as a
+production release would be.
+
+Please check the WHATSNEW file to see what has
+been added in this release.
+
+Even though this is not a production release, it
+contains a lot of improvements over 1.0.7, which
+was release over half a year ago.  I anticipate
+that most people will have less trouble with
+this release.
+
+Bug reports, comments and patches are always
+welcome -- send them to the team at kaffe at kaffe.org.
+
+Have fun!
+
+Cheers,
+
+ - Jim
+
+---
+
+* Update WHATSNEW, if needed. (should only really update
+  version number for production releases)
+
+4) Update version number in configure.in
+   (two places)
+
+5) Regen.
+
+  ./run-autogen.sh
+
+Double check version was changed:
+
+  $ grep -r 'kaffe-.*cvs' .
+
+6)
+
+Update ChangeLog:
+
+cvs -q up -dP | tee ~/tmp/up.out
+cvs -q diff -u | tee ~/tmp/diff.out
+
+eg.
+
+2003-06-08 Jim Pick  <jim at kaffe.org>
+
+	(On Release 1.1.0 Branch)
+
+	* README,
+	RELEASE-NOTES,
+	WHATSNEW:
+	Updated version number in docs.
+
+	* configure.in:
+	Bumped version number.
+
+	* configure,
+	libltdl/config-h.in:
+	Regenerated.
+
+7) Generate tarball:
+
+./gen-make-dist.sh 2>&1 | tee ~/tmp/gen.out
+
+8) Test
+
+./clean.sh
+
+./unpack.sh
+
+./compare.sh
+
+cd kaffe-1.1.1
+rm -rf /opt/jimpick/kaffe-1.1.1
+./configure --prefix=/opt/jimpick/kaffe-1.1.1
+make
+make install
+make check
+
+9) Regen
+
+./run-autogen.sh
+
+(cd kaffe; ./configure)
+
+./clean.sh
+
+cd kaffe
+
+cvs -q -z9 up -dP | tee ~/tmp/up.out
+
+Compare against Changelog
+
+10) Check in and tag
+
+switch-cvsroot-kaffe-remote
+
+cvs commit 
+
+Sample commit message:
+
+Release 1.1.2 (on branch)
+
+cvs tag -c -R Release_1_1_2
+
+11) Rebuild
+
+./gen-make-dist.sh 2>&1 | tee ~/tmp/gen.out
+
+Optional - Recheck
+
+12) Sign
+
+vi sign.sh
+
+./sign.sh
+
+13) Upload
+
+Test downloading to make sure permissions are good!
+
+14) Announce
+
+Remember to send it from jim at kaffe.org
+To: kaffe-announce at kaffe.org
+Cc: kaffe at kaffe.org
+Reply-To: kaffe at kaffe.org
+Subject: Kaffe 1.1.0 "Development" Release available for download 
+
+Use RELEASE-NOTES as a start.
+
+Add links to download location.
+
+Make sure version is correct.
+
+Mention sponsors.
+
+Remember to moderate it through.
+
+15) Update website
+
+- Link on home page to archive
+- Development download link
+- Update doc links
+
+  cd ~/kaffe-pogo
+  tar xzvf /home/ftp/pub/kaffe/v1.1.x-development/kaffe-1.1.1.tar.gz
+  rm src; ln -s kaffe-1.1.1 src
+  cd /var/www/doc/kaffe
+  make clean
+  make all
+  ./check-links.sh  | less
+
+  cd /home/jim/website
+  Edit version in documentation.shtml
+  Check in
+
+  cd /var/www
+  cvs -q up -d
+
+16) Merge changes made on branch back into mainline
+
+17) Upload to freenet
+
+
===================================================================
Checking out kaffe-project-services/release-process/clean.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/clean.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/clean.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+cd kaffe
+find . -name '.#*' | xargs rm -f
+find . -name '*~' | xargs rm -f
+rm -rf build-dist
+make distclean
+rm -rf autom4te.cache libltdl/autom4te.cache
+#rm -rf kaffe-1.1.*
+#rm -rf kaffe-1.1.*.tar.gz
+rm -rf libraries/javalib/Makefile.am.bak
===================================================================
Checking out kaffe-project-services/release-process/compare.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/compare.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/compare.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,4 @@
+#! /bin/sh
+
+diff -urN -x CVS -x .cvsignore \
+	 kaffe kaffe-1.1.4
===================================================================
Checking out kaffe-project-services/release-process/gen-make-dist.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/gen-make-dist.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/gen-make-dist.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+set -e
+
+. set-path.sh
+
+cd kaffe
+rm -rf autom4te.cache configure
+chmod +x developers/autogen.sh
+echo ">>> Autogen-ing"
+(developers/autogen.sh)
+echo ">>> Configuring"
+sudo rm -rf /usr/local/kaffe-test
+./configure --prefix=/usr/local/kaffe-test \
+  --with-extensions=comm,microsoft,pjava,servlet,sound
+echo ">>> make dist"
+make  # I shouldn't have to do this
+make dist
+echo ">>> copying"
+cp -v kaffe-1.1.*.tar.gz ..
===================================================================
Checking out kaffe-project-services/release-process/regen-make-dist-tarball.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/regen-make-dist-tarball.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/regen-make-dist-tarball.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+set -e
+
+. set-path.sh
+
+cd kaffe-1.1.x-cvs
+rm -rf autom4te.cache configure
+chmod +x developers/autogen.sh
+echo ">>> Autogen-ing"
+developers/autogen.sh
===================================================================
Checking out kaffe-project-services/release-process/run-autogen.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/run-autogen.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/run-autogen.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+set -e
+
+. set-path.sh
+
+cd kaffe
+rm -rf autom4te.cache configure
+chmod +x developers/autogen.sh
+echo ">>> Autogen-ing"
+(developers/autogen.sh)
===================================================================
Checking out kaffe-project-services/release-process/set-path.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/set-path.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/set-path.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+set -e
+
+PATH=/opt/jimpick/autotools/automake-1.8.2/bin:\
+/opt/jimpick/autotools/autoconf-2.59/bin:\
+/opt/jimpick/autotools/libtool-1.5.2/bin:\
+/opt/jimpick/autotools/gettext-0.14.1/bin:\
+$PATH
+export PATH
+
+
===================================================================
Checking out kaffe-project-services/release-process/sign.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/sign.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/sign.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+gpg --detach-sign --default-key jim at jimpick.com --armor kaffe-1.1.4.tar.gz
+
+echo "
+This file has been signed using my personal key.
+You can find my key in the Kaffe.org keyring,
+as well as the Debian keyring, on my personal
+website at jimpick.com, and on keyserver.net.
+
+To check the signature of the file, first
+import my key into your trust database, and
+do something like:
+
+$ gpg --verify kaffe-1.1.4.tar.gz.sig kaffe-1.1.4.tar.gz
+
+Cheers,
+
+ - Jim
+
+" > kaffe-1.1.4.tar.gz.sig
+cat kaffe-1.1.4.tar.gz.asc >> kaffe-1.1.4.tar.gz.sig
+rm kaffe-1.1.4.tar.gz.asc
+
+
===================================================================
Checking out kaffe-project-services/release-process/unpack.sh
RCS:  /home/cvs/kaffe/kaffe-project-services/release-process/unpack.sh,v
VERS: 1.1
***************
--- /dev/null	Sun Aug  4 19:57:58 2002
+++ kaffe-project-services/release-process/unpack.sh	Wed Feb 25 19:31:12 2004
@@ -0,0 +1,4 @@
+#! /bin/sh
+
+rm -rf kaffe-1.1.4 kaffe-1.1.*-cvs
+tar xzvf kaffe-1.1.4.tar.gz




More information about the kaffe-siteadmin mailing list